| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
StreamBuffer::DataIO Class Reference

A small base class to handle generic data streaming. More...

`#include <GaudiKernel/StreamBuffer.h>`

Inheritance diagram for StreamBuffer::DataIO:
[legend]

## Public Member Functions
| DataIO ()=default
| Standard constructor. More...
virtual | ~DataIO ()=default
| Standard destructor. More...
void | badStreamMode ()
| Throw Exception. More...
virtual void | serialize (StreamBuffer &stream)
| Serialization method: loads/dumps streambuffer content. More...
virtual void | load (StreamBuffer &)
| Template function to load stream data. More...
virtual void | dump (StreamBuffer &)
| Template function to save stream data. More...

## Detailed Description

A small base class to handle generic data streaming.

Definition at line 45 of file StreamBuffer.h.

## Constructor & Destructor Documentation

StreamBuffer::DataIO::DataIO | ( |  | ) |
| default

Standard constructor.

virtual StreamBuffer::DataIO::~DataIO | ( |  | ) |
| virtual default

Standard destructor.

## Member Function Documentation

void StreamBuffer::DataIO::badStreamMode | ( |  | ) |
| inline

Throw Exception.

Definition at line 53 of file StreamBuffer.h.

53 { throw( "Not acceptable stream mode!" ); }

virtual void StreamBuffer::DataIO::dump | ( | StreamBuffer & |  | ) |
| inline virtual

Template function to save stream data.

Reimplemented in StreamBuffer::Ostream.

Definition at line 67 of file StreamBuffer.h.

67 { badStreamMode(); }
StreamBuffer::DataIO::badStreamMode
void badStreamMode()
Throw Exception.
Definition: StreamBuffer.h:53

virtual void StreamBuffer::DataIO::load | ( | StreamBuffer & |  | ) |
| inline virtual

Template function to load stream data.

Reimplemented in StreamBuffer::Istream.

Definition at line 65 of file StreamBuffer.h.

65 { badStreamMode(); }
StreamBuffer::DataIO::badStreamMode
void badStreamMode()
Throw Exception.
Definition: StreamBuffer.h:53

virtual void StreamBuffer::DataIO::serialize | ( | StreamBuffer & | stream | ) |
| inline virtual

Serialization method: loads/dumps streambuffer content.

Definition at line 55 of file StreamBuffer.h.

56 {
57 if ( stream.isReading() )
58 load( stream );
59 else if ( stream.isWriting() )
60 dump( stream );
61 else
62 badStreamMode();
63 }
StreamBuffer::DataIO::load
virtual void load(StreamBuffer &)
Template function to load stream data.
Definition: StreamBuffer.h:65
StreamBuffer::DataIO::dump
virtual void dump(StreamBuffer &)
Template function to save stream data.
Definition: StreamBuffer.h:67
StreamBuffer::isReading
bool isReading() const
Get stream buffer state.
Definition: StreamBuffer.h:266
StreamBuffer::DataIO::badStreamMode
void badStreamMode()
Throw Exception.
Definition: StreamBuffer.h:53
StreamBuffer::isWriting
bool isWriting() const
Get stream buffer state.
Definition: StreamBuffer.h:269

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/StreamBuffer.h